Class SearchFilesRequest (0.8.0)

SearchFilesRequest(mapping=None, *, ignore_unknown_fields=False, **kwargs)

Configuration containing file search request parameters.

Attributes

Name Description
workspace str
Required. The workspace's name.
page_size int
Optional. Maximum number of search results to return. The server may return fewer items than requested. If unspecified, the server will pick an appropriate default.
page_token str
Optional. Page token received from a previous SearchFilesRequest call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to SearchFilesRequest, with the exception of page_size, must match the call that provided the page token.
filter str
Optional. Optional filter for the returned list in filtering format. Filtering is only currently supported on the path field. See https://google.aip.dev/160 for details.